iOS 8.2/8.3 compatibility?

This is the place to get technical support and discuss all things to do with MergEXT

Moderators: Klaus, FourthWorld, heatherlaine, robinmiller, monte

iOS 8.2/8.3 compatibility?

Postby CALL-151 » Mon May 04, 2015 1:31 pm

Monte,

Do you have an ETA for updated externals?

Michael
CALL-151
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 206
Joined: Wed Oct 20, 2010 11:00 am

Re: iOS 8.2/8.3 compatibility?

Postby CALL-151 » Tue May 05, 2015 3:50 am

Nevermind. They seem to be working for iOS 8.2 when building a standalone, just not while testing in the simulator.
CALL-151
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 206
Joined: Wed Oct 20, 2010 11:00 am

Re: iOS 8.2/8.3 compatibility?

Postby monte » Thu May 07, 2015 1:33 am

Not sure why not in the simulator. Which external? I'll be releasing 8.3 builds ASAP.
LiveCode User Group on Facebook : http://FaceBook.com/groups/LiveCodeUsers/
monte
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 1558
Joined: Fri Jan 13, 2012 1:47 am

Re: iOS 8.2/8.3 compatibility?

Postby CALL-151 » Thu May 07, 2015 5:15 pm

mergDoc and rrehardcopy are the only two I've tested. I get the warning "Could not find appropriate build of external '/(myfilepath)/rrehardcopy.lcext' for Simulator-Simulator 8_2"

Works fine for standalones, so unless you have to compile different versions for the simulator this may be a LiveCode issue. I get this sim only error with LC versions that can build for 8.2 up to and including 6.7.5 (rc2)
CALL-151
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 206
Joined: Wed Oct 20, 2010 11:00 am

Re: iOS 8.2/8.3 compatibility?

Postby monte » Fri May 08, 2015 1:50 am

Can you test the latest build release from yesterday? SDK14.15 which should have simulator builds.
LiveCode User Group on Facebook : http://FaceBook.com/groups/LiveCodeUsers/
monte
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 1558
Joined: Fri Jan 13, 2012 1:47 am

Re: iOS 8.2/8.3 compatibility?

Postby CALL-151 » Fri May 08, 2015 2:31 pm

The warning persists with LC 7.0.5 (rc2) and 6.7.5 (rc2) with iOS 8.3 selected as the test target. I tried the latest versions of mergDoc (1.0.18), mergContact-MIT (1.0.13) and rrehardcopy-SDK14.15. The app launches in the iOS 8.3 simulator, but of course without the functionality provided by the externals. To make sure it wasn't my app I also created a blank stack in LC 7.0.5 (rc2), pointed to the above externals in Copy Files, set the test target to an iOS 8.3 device- same warning.
CALL-151
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 206
Joined: Wed Oct 20, 2010 11:00 am

Re: iOS 8.2/8.3 compatibility?

Postby monte » Fri May 08, 2015 9:48 pm

Simulator builds are broken in RC2 I found the bug yesterday and Sebastien has fixed and merged it in for the next release.
LiveCode User Group on Facebook : http://FaceBook.com/groups/LiveCodeUsers/
monte
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 1558
Joined: Fri Jan 13, 2012 1:47 am

Re: iOS 8.2/8.3 compatibility?

Postby CALL-151 » Sat May 16, 2015 10:28 pm

The stable release of 6.7.5 now builds standalones containing externals without generating errors, but they will not launch on the simulator (not yet tested on a device).
CALL-151
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 206
Joined: Wed Oct 20, 2010 11:00 am

Re: iOS 8.2/8.3 compatibility?

Postby monte » Mon May 18, 2015 12:22 am

Hmm... ok, I'll download a .5 release and take a look. I have had a report of a crash with mergDoc so maybe that's it?
LiveCode User Group on Facebook : http://FaceBook.com/groups/LiveCodeUsers/
monte
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
 
Posts: 1558
Joined: Fri Jan 13, 2012 1:47 am


Return to MergEXT

Who is online

Users browsing this forum: No registered users and 2 guests